//修改奖励金额的代码在最下面
const configPath = './plugins/inviteCode/config.json';
const config = new JsonConfigFile(configPath, '{}');
if (!config.get('inviteCodes')) {
    config.set('inviteCodes', {});
}
if (!config.get('playerInvites')) {
    config.set('playerInvites', {});
}
if (!config.get('ipAddresses')) {
    config.set('ipAddresses', {});
}
if (!config.get('rewards')) {
    config.set('rewards', {});
}
function generateInviteCode(inviteCodes) {
    let inviteCode;
    do {
        inviteCode = String(Math.floor(Math.random() * 1000000)).padStart(6, '0');
    } while (inviteCodes[inviteCode]);
    return inviteCode;
}
mc.listen('onJoin', (player) => {
    const xuid = player.xuid;
    const ip = player.getDevice().ip;

    let inviteCodes = config.get('inviteCodes');
    let playerInvites = config.get('playerInvites');
    let ipAddresses = config.get('ipAddresses');
    let rewards = config.get('rewards');

    if (!playerInvites[xuid]) {
        const newCode = generateInviteCode(inviteCodes);
        inviteCodes[newCode] = xuid;
        playerInvites[xuid] = {
            inviteCode: newCode,
            invitedBy: null,
            ip: ip
        };
        rewards[xuid] = {
            inviteCount: 0,
            totalReward: 0
        };
        config.set('inviteCodes', inviteCodes);
        config.set('playerInvites', playerInvites);
        config.set('rewards', rewards);
    }
});
mc.regPlayerCmd('yqm', '查看和输入邀请码', (player) => {
    const xuid = player.xuid;
    const playerInvites = config.get('playerInvites');
    const rewards = config.get('rewards');
const form = mc.newCustomForm();
    form.setTitle('邀请码系统');
    form.addLabel(`你的邀请码是: ${playerInvites[xuid].inviteCode}`);
    form.addLabel(`你已邀请了 ${rewards[xuid].inviteCount} 人，获得了 ${rewards[xuid].totalReward} 金币的奖励。`);

    if (!playerInvites[xuid].invitedBy) {
        form.addInput('输入邀请码', '在此输入你收到的邀请码');
    }
    player.sendForm(form, (player, data) => {
        if (data && data.length > 2 && data[2]) {
            const inputCode = data[2].trim();
            if (inputCode && !playerInvites[xuid].invitedBy) {
                const inviteCodes = config.get('inviteCodes');
                const ipAddresses = config.get('ipAddresses');
                const ip = player.getDevice().ip;

                if (inviteCodes[inputCode] && inviteCodes[inputCode] !== xuid) {
                    const invitedPlayerXuid = inviteCodes[inputCode];
                if (ipAddresses[ip] && ipAddresses[ip] !== invitedPlayerXuid) {
                        player.tell('wdf！竟然敢刷金币！！大胆');
                        return;
                    }

                    playerInvites[xuid].invitedBy = invitedPlayerXuid;
                    ipAddresses[ip] = xuid;
                    config.set('playerInvites', playerInvites);
                    config.set('ipAddresses', ipAddresses);

                    rewards[invitedPlayerXuid].inviteCount += 1;
                    rewards[invitedPlayerXuid].totalReward += 3000;
                    config.set('rewards', rewards);

                    money.add(invitedPlayerXuid, 3000);    //这里修改奖励的金币
                    player.tell('填写成功，对方已获得奖励');
                } else {
                    player.tell('邀请码无效或已被使用');
                }
            }
        } else {
            player.tell('已关闭');
        }
    });
});
